Subject: Re: nap/dfs on 7448

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 02 Oct 2007 16:01:57 +1000

On Mon, 2007-10-01 at 17:32 -0400, Leisner, Martin wrote:
> I asked this on linuxppc-embedded a week ago (I didn't even know this
> list existed until last week -- another reason to get rid of
> linuxpcc-embedded).
> 
> Has anyone gotten NAP/DFS to reliably work on a 7448?
> 
> I'm seeing strange problems with peripherals...(using a ram disk
> works fine).

Could it be that your host bridge isn't properly waking up the CPU to
DOZE state for snooping DMA ? (It might require some delays on QACK in
some cases, I know Apple had workarounds in those areas, maybe something
along those lines need to be configured in the chipset).

Ben.